@echo off

echo.
echo This script will now convert all matching WAV files to looping ADXs...
echo.

set POSSIBLEADXS=ADX_SELC ADX_S000 ADX_S010 ADX_S020 ADX_S030 ADX_S040 ADX_S050 ADX_S060 ADX_S070 ADX_S080 ADX_S090 ADX_S0A0 ADX_S0B0 ADX_CAPL ADX_CONT ADX_HERE ADX_MENU ADX_NETW ADX_OPEN ADX_OVER ADX_RANK ADX_STAF ADX_MENU ADX_WINS

@for %%a in (%POSSIBLEADXS%) do if not exist "%%a.wav" @echo No replacement for %%a found: skipping.
echo.
@for %%a in (%POSSIBLEADXS%) do if exist "%%a.wav" @echo Found new version of %%a: encoding now...&call LoopFile %%a&echo.

REM Songs in this next set are only available on ROMs using Jed's modification allowing unique songs for alternate versions of stages

set POSSIBLENEWADXS=ADX_NSHP ADX_NDST ADX_NCRN ADX_NCAV ADX_NCLK ADX_NRFT ADX_NSWP

@for %%a in (%POSSIBLENEWADXS%) do if exist "%%a.wav" @echo Found new version of %%a: encoding now...&call LoopFile %%a&echo.

echo.
echo Conversion of all supported game song files is complete.
echo.

pause
